# ReadyEvent
[Plugins]

Peer to peer synchronized ready and unready events. More...

## Classes
class | ReadyEvent
| Peer to peer synchronized ready and unready events. More...
## Enumerations
enum | ReadyEventSystemStatus { RES_NOT_WAITING, RES_WAITING, RES_READY, RES_ALL_READY, RES_UNKNOWN_EVENT }

## Detailed Description

Peer to peer synchronized ready and unready events.

## Enumeration Type Documentation

enum ReadyEventSystemStatus

Returns the status of a remote system when querying with ReadyEvent::GetReadyStatus

Enumerator:

  RES_NOT_WAITING | ----------- Normal states --------------- The remote system is not in the wait list, and we have never gotten a ready or complete message from it. This is the default state for valid events
  RES_WAITING | We are waiting for this remote system to call SetEvent(thisEvent,true).
  RES_READY | The remote system called SetEvent(thisEvent,true), but it still waiting for other systems before completing the ReadyEvent.
  RES_ALL_READY | The remote system called SetEvent(thisEvent,true), and is no longer waiting for any other systems. This remote system has completed the ReadyEvent
  RES_UNKNOWN_EVENT | Error code, we couldn't look up the system because the event was unknown.